*;
*  TO DO: 
*
*  Line 15: Add options to embed title and 
*    footnote text.
*;

ods tagsets.ExcelXP path="&SAMPDIR" file='MyWorkbook.xml' style=Printer;

title 'The CLASS Data Set';
footnote '(From the SASHELP Library)';

*  Set some "global" tagset options that affect all worksheets;

ods tagsets.ExcelXP options(embedded_titles='yes' embedded_footnotes='yes');

ods tagsets.ExcelXP options(sheet_name='Male Students');

proc print data=sashelp.class noobs;
  where (sex eq 'M');
  var name age height weight;
run; quit;
  
ods tagsets.ExcelXP options(sheet_name='Female Students');

proc print data=sashelp.class noobs;
  where (sex eq 'F');
  var name age height weight;
run; quit;

ods tagsets.ExcelXP close;