*;
*  TO DO: 
*
*  Lines 19-20: Note print header and footer.
*
*  Line 21: Add option to apply an AutoFilter 
*    to column #2.
*;

ods tagsets.ExcelXP path="&SAMPDIR" file='MyWorkbook.xml' style=Printer;

title 'The CLASS Data Set';
footnote '(From the SASHELP Library)';

*  Set some "global" tagset options that affect all worksheets;

ods tagsets.ExcelXP options(embedded_titles='yes'
                            embedded_footnotes='yes'
                            print_header='&C&A&RPage &P of &N'
                            print_footer='&RPrinted &D at &T'
                            autofilter='2');

ods tagsets.ExcelXP options(sheet_name='Male Students');

proc print data=sashelp.class noobs;
  where (sex eq 'M');
  var name age height weight;
run; quit;
  
ods tagsets.ExcelXP options(sheet_name='Female Students');

proc print data=sashelp.class noobs;
  where (sex eq 'F');
  var name age height weight;
run; quit;

ods tagsets.ExcelXP close;